Skip to content

LoanAppViewApp⁠

Perform various operations for Symitar parameters.

Operations⁠

getLoanAppViewAppSelectFields⁠

POST

Execute the persistent ParameterService getLoanAppViewAppSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppViewAppApplicationTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLoanAppViewAppSelectFields
POST /nexum/627/persistent/parameter/getLoanAppViewAppSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LoanAppViewAppApplicationType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppViewAppFields": true,
    "LoanAppViewAppFields": {
      "ApplicationType": true,
      "Specfile": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getLoanAppViewAppPagedListSelectFields⁠

POST

Execute the persistent ParameterService getLoanAppViewAppPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLoanAppViewAppPagedListSelectFields
POST /nexum/627/persistent/parameter/getLoanAppViewAppPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanAppViewAppFields": true,
    "LoanAppViewAppFields": {
      "ApplicationType": true,
      "Specfile": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchLoanAppViewAppPagedSelectFields⁠

POST

Execute the persistent ParameterService searchLoanAppViewAppPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchLoanAppViewAppPagedSelectFields
POST /nexum/627/persistent/parameter/searchLoanAppViewAppPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanAppViewAppFields": true,
    "LoanAppViewAppFields": {
      "ApplicationType": true,
      "Specfile": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateLoanAppViewAppByID⁠

POST

Execute the persistent ParameterService updateLoanAppViewAppByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppViewAppApplicationTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateLoanAppViewAppByID
POST /nexum/627/persistent/parameter/updateLoanAppViewAppByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LoanAppViewAppApplicationType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "LoanAppViewAppFields": {
    "ApplicationType": 0,
    "Specfile": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}